Bug 825087 - RFE: Handle '~' in version/release to lower priority in rpmVersionCompare()
Summary: RFE: Handle '~' in version/release to lower priority in rpmVersionCompare()
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rpm
Version: 6.3
Hardware: Unspecified
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Panu Matilainen
QA Contact: Patrik Kis
URL:
Whiteboard:
Depends On: 734802
Blocks: 843460
TreeView+ depends on / blocked
 
Reported: 2012-05-25 05:19 UTC by Panu Matilainen
Modified: 2013-02-21 10:51 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 734802
Environment:
Last Closed: 2013-02-21 10:51:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0461 0 normal SHIPPED_LIVE rpm bug fix and enhancement update 2013-02-20 21:07:23 UTC

Description Panu Matilainen 2012-05-25 05:19:01 UTC
+++ This bug was initially created as a clone of Bug #734802 +++

This seems like a nice to have feature, so I wanted to forward it from rpm.org's trac (currently read-only):

From <http://rpm.org/ticket/56>:
,---
It would be nice when a special handling of '~' would be introduced to mark "negative" version tokens. E.g. so that

| foo-1.0~beta < foo-1.0

holds. This would simplify complicated rulesets which deal with such naming schemes by abusing %release for it. 
`---

Comment 1 Panu Matilainen 2012-05-25 05:20:55 UTC
Cloned for RHEL-6 as the koji builders need to support this before the feature can be used in Fedora (and eventually RHEL-7)

Comment 4 RHEL Program Management 2012-07-10 08:10:30 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 5 RHEL Program Management 2012-07-11 01:52:02 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 15 errata-xmlrpc 2013-02-21 10:51:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0461.html


Note You need to log in before you can comment on or make changes to this bug.